// ========================================================
// Mesh resource file for AscentStage.msh
// Generated with meshc on Tue Sep 11 13:59:02 2012
// ========================================================

// Number of mesh groups:
#define AS_NGRP 42

// Number of materials:
#define AS_NMAT 14

// Number of textures:
#define AS_NTEX 5

// Named mesh groups:
#define AS_GRP_AftAvionicsCover		0
#define AS_GRP_Antenna				1
#define AS_GRP_AntennaSpars			2
#define AS_GRP_Antennawires			3
#define AS_GRP_CabinRCSMounts		4
#define AS_GRP_CabinStrut			5
#define AS_GRP_DockingPort			6
#define AS_GRP_EngineBell			7
#define AS_GRP_EvaHatch				8
#define AS_GRP_FoilGreebles			9
#define AS_GRP_FwdAvionicsCover		10
#define AS_GRP_Greebles				11
#define AS_GRP_HandRail				12
#define AS_GRP_HatchFoil			13
#define AS_GRP_HatchHandle			14
#define AS_GRP_HullBack				15
#define AS_GRP_HullBack1			16
#define AS_GRP_HullBottom			17
#define AS_GRP_HullCabin			18
#define AS_GRP_HullFront			19
#define AS_GRP_HullMidSection		20
#define AS_GRP_InteriorCabin		21
#define AS_GRP_InteriorDetails		22
#define AS_GRP_InteriorFloor		23
#define AS_GRP_InteriorMidSection	24
#define AS_GRP_Lights				25
#define AS_GRP_Nameplate			26
#define AS_GRP_RCSNozzles			27
#define AS_GRP_RCSQuads				28
#define AS_GRP_RadarAntenna			29
#define AS_GRP_RadarDish			30
#define AS_GRP_RadarMount			31
#define AS_GRP_RadarPivot			32
#define AS_GRP_Radiator				33
#define AS_GRP_SBandAntenna			34
#define AS_GRP_SBandDish			35
#define AS_GRP_SBandPivot			36
#define AS_GRP_TargetBase			37
#define AS_GRP_TargetShaft			38
#define AS_GRP_ThrustChambers		39
#define AS_GRP_WindowFrames			40
#define AS_GRP_WindowGlass			41

// Aescent stage animation coordinates
const VECTOR3	LM_SBAND_PIVOT			= { 2.08346, 1.29093, 0.00000};			// S-Band antenna pivot point
const VECTOR3	LM_SBAND_AXIS			= { cos(RAD*30),-sin(RAD*30), 0.00};	// S-Band antenna pivot axis
const double	LM_SBAND_PITCHRANGE		= RAD*330;								// S-Band rotation range (pitch axis)
const double	LM_SBAND_YAWRANGE		= RAD*180;								// S-Band rotation range (yaw axis)

const VECTOR3	LM_RADAR_PIVOT			= { 0.00000, 1.70795, 2.20317};			// Radar antenna pivot point
const VECTOR3	LM_RADAR_AXIS			= { 1.00, 0.00, 0.00};					// Radar antenna pivot axis
const double	LM_RADAR_PITCHRANGE		= RAD*90;								// Radar rotation range (pitch axis)
const double	LM_RADAR_YAWRANGE		= RAD*48;								// Radar rotation range (yaw axis)
